Chris, I very much appreciate the effort you've put into this Mac build, but unfortunately I need one that will work with OS X 10.6.x. Any plans for a version compatible with Snow Leopard?